Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.snailshell.consensus.demo.actions
Class BasisAction

    java.lang.Object
      org.apache.struts.action.Action
          de.snailshell.consensus.demo.actions.BasisAction

All Implemented Interfaces:
  ConsensusFoundationManager

Direct Known Subclasses:
  AccountAction, AddSynonymAction, AddTypeAction, AssociationChangeAction, AssociationJoinAction, AssociationViewAction, AttributeChangeAction, AttributeDeleteAction, AttributeViewAction, ChangeAccountAction, ChangeAssociationRatingAction, ChangeAttributeRatingAction, ChangeSynonymRatingAction, ChangeTopicCommentAction, ChangeTopicRatingAction, ChangeTypeRatingAction, ChangeUserAction, CreateAssociationAction, CreateAttributeAction, CreateOccurrenceAction, CreateTopicAction, DeleteAccountAction, DeleteOccurrenceAction, EditSynonymsAction, EditTypesAction, EditUserAction, EngineSearchAction, ExportAction, HomeAction, JoinAssociationAction, LoginAction, LogoutAction, MergeAction, NewAssociationAction, RegisterAction, ReorgAction, TopicFromParamIdToRequestAction, TopicHierarchyAction, TopicListAction, TopicSearchAction, TopicViewAction

public class BasisAction
extends org.apache.struts.action.Action
implements ConsensusFoundationManager

Version:
  2006-06-14
Author:
  Thomas Much

Field Summary

Fields inherited from class org.apache.struts.action.Action
`defaultLocale, servlet`

Constructor Summary
`BasisAction()`

Method Summary
`DynamicRightsManager` | `getDynamicRightsManager()` Returns a reference to the DynamicRightsManager.
`EvolutionManager` | `getEvolutionManager()` Returns a reference to the EvolutionManager.
`IncentiveManager` | `getIncentiveManager()` Returns a reference to the IncentiveManager.
`LoggingManager` | `getLoggingManager()` Returns a reference to the LoggingManager.
`OntologyManager` | `getOntologyManager()` Returns a reference to the OntologyManager.
`RatingManager` | `getRatingManager()` Returns a reference to the RatingManager.
`User` | `getUser(javax.servlet.http.HttpServletRequest request)`
`UserManager` | `getUserManager()` Returns a reference to the UserManager.
`String` | `getVersion()` Returns a version string of the implementation of the ConsensusFoundation framework.
`boolean` | `isUserLoggedOn(javax.servlet.http.HttpServletRequest request)`

Methods inherited from class org.apache.struts.action.Action
`addErrors, addMessages, execute, execute, generateToken, getDataSource, getDataSource, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasisAction

    public BasisAction()

Method Detail

### getLoggingManager

    public LoggingManager getLoggingManager()

  Description copied from interface: `ConsensusFoundationManager`
  Returns a reference to the LoggingManager.

  Specified by:
    `getLoggingManager` in interface `ConsensusFoundationManager`
  Returns:
    the LoggingManager instance, never `null` after successful startup

### getUserManager

    public UserManager getUserManager()

  Description copied from interface: `ConsensusFoundationManager`
  Returns a reference to the UserManager.

  Specified by:
    `getUserManager` in interface `ConsensusFoundationManager`
  Returns:
    the UserManager instance, never `null` after successful startup

### getOntologyManager

    public OntologyManager getOntologyManager()

  Description copied from interface: `ConsensusFoundationManager`
  Returns a reference to the OntologyManager.

  Specified by:
    `getOntologyManager` in interface `ConsensusFoundationManager`
  Returns:
    the OntologyManager instance, never `null` after successful startup

### getEvolutionManager

    public EvolutionManager getEvolutionManager()

  Description copied from interface: `ConsensusFoundationManager`
  Returns a reference to the EvolutionManager.

  Specified by:
    `getEvolutionManager` in interface `ConsensusFoundationManager`
  Returns:
    the EvolutionManager instance or `null` if an EvolutionManager is not available

### getRatingManager

    public RatingManager getRatingManager()

  Description copied from interface: `ConsensusFoundationManager`
  Returns a reference to the RatingManager.

  Specified by:
    `getRatingManager` in interface `ConsensusFoundationManager`
  Returns:
    the RatingManager instance or `null` if a RatingManager is not available

### getIncentiveManager

    public IncentiveManager getIncentiveManager()

  Description copied from interface: `ConsensusFoundationManager`
  Returns a reference to the IncentiveManager.

  Specified by:
    `getIncentiveManager` in interface `ConsensusFoundationManager`
  Returns:
    the IncentiveManager instance or `null` if an IncentiveManager is not available

### getDynamicRightsManager

    public DynamicRightsManager getDynamicRightsManager()

  Description copied from interface: `ConsensusFoundationManager`
  Returns a reference to the DynamicRightsManager.

  Specified by:
    `getDynamicRightsManager` in interface `ConsensusFoundationManager`
  Returns:
    the DynamicRightsManager instance or `null` if a DynamicRightsManager is not available

### getVersion

    public String getVersion()

  Description copied from interface: `ConsensusFoundationManager`
  Returns a version string of the implementation of the ConsensusFoundation framework.

  Specified by:
    `getVersion` in interface `ConsensusFoundationManager`
  Returns:
    the version of the framework's implementation
  See Also:
    `ConsensusFoundation.getVersion()`

### getUser

    public User getUser(javax.servlet.http.HttpServletRequest request)

### isUserLoggedOn

    public boolean isUserLoggedOn(javax.servlet.http.HttpServletRequest request)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD